#pragma once
/*
//poner libmysql.lib en includes
#include "mysql.h"
#include "_error.h"
#include "str_array.h"

/*
Clase para pillar datos de mysql

*//*
//struct MYSQL;
class UTILES_EXPORT Cmysql_con
{
public:

	//variables--------------------------------------------------------------------------------
	C_error err; 
	MYSQL	*conn;
	Cstr_array info;//array de informacion de contestacion
	int registros;//numero de registros de contestacion
	int columnas;//numero de columnas de contestacion
	//c y d----------------------------------------------------------------------------------
	Cmysql_con(void);
	~Cmysql_con(void);
	//funciones------------------------------------------------------------------------------
	BOOL contecta( char *url,char *usr,char *key, char* dbname, int puerto );
	void cierra();
	BOOL envia( char *sent );//envia sentencia
	BOOL recibe();//recive informacion rellenando el array inf columnas y filas;
	char*get(int f,int c);//devuelve la informacion de la columna c fila f
	void get(int f, int c, int *res);
	void get(int f, int c, double *res);
	void get(int f, int c, __int64 *res);

private:
	void pon_error();
	
};
*/